#ifndef GENETIC_IMAGE_INCLUDE_GENIMG_PARSEARGS_HH_
#define GENETIC_IMAGE_INCLUDE_GENIMG_PARSEARGS_HH_

#include <filesystem>
#include <tuple>

[[nodiscard]] auto parse_args(int, char**) -> std::tuple<std::filesystem::path,
                                                         std::filesystem::path,
                                                         int,
                                                         int,
                                                         int,
                                                         int,
                                                         bool,
                                                         bool>;

#endif /* GENETIC_IMAGE_INCLUDE_GENIMG_PARSEARGS_HH_ */
